Update or change spellchecker library

Description

Spark is using outdated jmyspell libraries in its Spelling plugin to load dictionaries. Newer dictionaries doesn't load and exceptions point to the jmyspell. E.g.:

Caused by: java.lang.IllegalStateException
at org.dts.spell.dictionary.openoffice.OpenOfficeSpellDictionary.waitToL
oad(OpenOfficeSpellDictionary.java:250)

jmyspell is 6 years old. Tried to replace included jars with its beta 2 jars, but then plugin doesn't build. http://kenai.com/projects/jmyspell/

Environment

None

Priority

Major

Assignee

Unassigned

Reporter

wroot